From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/symfony-filesystem/
Date: Thu, 19 Mar 2020 21:55:04 +0000 (UTC) [thread overview]
Message-ID: <1584654892.ac498ba0da0e954c67da4baccc6f0fea68faf7a9.whissi@gentoo> (raw)
commit: ac498ba0da0e954c67da4baccc6f0fea68faf7a9
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 19 21:50:03 2020 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Mar 19 21:54:52 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac498ba0
dev-php/symfony-filesystem: bump to v3.4.36
Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
dev-php/symfony-filesystem/Manifest | 1 +
.../symfony-filesystem-3.4.36.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-php/symfony-filesystem/Manifest b/dev-php/symfony-filesystem/Manifest
index 5442b6d1d3f..549662a3198 100644
--- a/dev-php/symfony-filesystem/Manifest
+++ b/dev-php/symfony-filesystem/Manifest
@@ -1 +1,2 @@
DIST symfony-filesystem-3.4.28.tar.gz 19238 BLAKE2B dcb9752a5691834aa87b3866b6c2f53b54d5953cf721547cf3ae8aa03e826bcacb2393f324bf9a767013a2daebcf9654c7ce18822ac40758d96b35b174b8ab6d SHA512 4a2e19bf6df69396e503e11112d9b37e9deaaba5eb4fa95857b7b19e1ce073462d2ca18442b6cc1c30021f925d0878f635aa9bc1c5de55318f0c521a291efcc8
+DIST symfony-filesystem-3.4.36.tar.gz 19282 BLAKE2B fd084715356b49588ff6a589372ab1958e3bd58b3af690b554ef1562553bf57504ca184fea06a3aa58ea12381773cebb57e11ba385be5c23ebce3f9e576413ec SHA512 2a43d22e64adfe50a1915f3833c70962f90a8da3cf7bb8b7bf30b1e0f17d6bd4857b35687207e019037d24ad71f46228ddd6eb46713117b82a92f94653cb2384
diff --git a/dev-php/symfony-filesystem/symfony-filesystem-3.4.36.ebuild b/dev-php/symfony-filesystem/symfony-filesystem-3.4.36.ebuild
new file mode 100644
index 00000000000..03a6ae68819
--- /dev/null
+++ b/dev-php/symfony-filesystem/symfony-filesystem-3.4.36.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Symfony Filesystem Component"
+HOMEPAGE="https://github.com/symfony/filesystem"
+SRC_URI="https://github.com/symfony/filesystem/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-lang/php:*
+ dev-php/fedora-autoloader"
+DEPEND="test? ( ${RDEPEND} >=dev-php/phpunit-5.7.15 )"
+
+S="${WORKDIR}/filesystem-${PV}"
+
+src_prepare() {
+ default
+ if use test; then
+ cp "${FILESDIR}/autoload.php" "${S}/autoload-test.php" || die
+ fi
+}
+
+src_install() {
+ insinto "/usr/share/php/Symfony/Component/Filesystem"
+ doins -r Exception
+ doins *.php "${FILESDIR}/autoload.php"
+ dodoc CHANGELOG.md README.md
+}
+
+src_test() {
+ phpunit --bootstrap "${S}/autoload-test.php" \
+ --exclude-group network || die 'test suite failed'
+}
next reply other threads:[~2020-03-19 21:55 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-03-19 21:55 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-14 6:35 [gentoo-commits] repo/gentoo:master commit in: dev-php/symfony-filesystem/ Sam James
2024-01-09 17:42 Mart Raudsepp
2021-05-10 6:58 Agostino Sarubbo
2021-05-06 6:55 Agostino Sarubbo
2020-08-18 22:34 Thomas Deutschmann
2019-08-16 14:17 Brian Evans
2019-07-18 13:01 Thomas Deutschmann
2017-04-25 23:38 Michael Orlitzky
2017-04-25 23:38 Michael Orlitzky
2016-12-18 23:18 Michael Orlitzky
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1584654892.ac498ba0da0e954c67da4baccc6f0fea68faf7a9.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox